Package com.avaya.clientservices.contact.fields

## Class ContactEmailAddressField

- java.lang.Object
- - com.avaya.clientservices.contact.fields.ContactField
  - - com.avaya.clientservices.contact.fields.ContactEmailAddressField

- All Implemented Interfaces:
    `BaseContactField`
  Direct Known Subclasses:
    `EditableContactEmailAddressField`

      public class ContactEmailAddressField
      extends ContactField

  This class describes the email addresses for the contact record. Since a given contact can have multiple email addresses a default email address must be chosen. Only one email address can be default for a given contact.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getAddress()` | The email address.
    `java.lang.String` | `getLabel()` | The email label.
    `ContactEmailAddressType` | `getType()` | The type of this email address (e.g.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.avaya.clientservices.contact.fields.ContactField

      `getCapability, getContactProviderSourceType, setContactProviderSourceType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getAddress

          public java.lang.String getAddress()

      The email address.
      Returns:
        A String containing the email address.

    - #### getType

          public ContactEmailAddressType getType()

      The type of this email address (e.g. WORK, HOME, etc).
      Returns:
        The email address type.

    - #### getLabel

          public java.lang.String getLabel()

      The email label.
      Returns:
        A String containing the email label.

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `ContactField`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ContactField`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ContactField`